Bug 450476 - InfiniBand Connection Management library
InfiniBand Connection Management library
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Ed Hill
Fedora Extras Quality Assurance
Depends On: 450470
  Show dependency treegraph
Reported: 2008-06-08 19:59 EDT by Doug Ledford
Modified: 2009-04-10 07:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-10 07:51:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ed: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Doug Ledford 2008-06-08 19:59:59 EDT
+++ This bug was initially created as a clone of Bug #450470 +++

This package provides the libibcm library that offloads much of the low level
work associated with bringing up a connection between to infiniband hosts.

SRPM available at:


Prebuilt x86_64 rpms at:

Comment 1 Ed Hill 2008-06-19 17:22:48 EDT
Here is a quick review:

+ source matches upstream (SHA1SUM):
    bd18cd1c105275feb25461f659a3ad94e7c5db8c  libibcm-1.0.2.tar.gz
    bd18cd1c105275feb25461f659a3ad94e7c5db8c  libibcm-1.0.2.tar.gz.UP
+ license is correct and correctly included
+ builds in mock for F8 x86_64
+ rpmlint output is just some ignore-able warnings:
    libibcm.x86_64: E: zero-length /usr/share/doc/libibcm-1.0.2/ChangeLog
    libibcm-devel.x86_64: W: no-documentation
    libibcm-static.x86_64: W: no-documentation
+ naming OK
+ spec legible and macros look sane
+ shared libs (ldconfig) looks good
+ permissions OK
+ dir ownership OK
+ static libs are correctly in *-static

I don't see any blockers here so its APPROVED.
Comment 2 Ed Hill 2008-06-19 17:25:21 EDT
Ooops, I overlooked the empty ChangeLog file!  Please just remove it from 
the package.
Comment 3 Doug Ledford 2008-06-19 21:20:45 EDT
ChangeLog file removed from %doc list.  New packages uploaded over top of the
old packages, so you might need to refresh your web/proxy cache to get the new
files from the site.
Comment 4 Ed Hill 2008-06-20 01:11:01 EDT
Thank you -- its APPROVED.
Comment 5 Doug Ledford 2008-06-24 15:09:34 EDT
New Package CVS Request
Package Name: libibcm
Short Description: InfiniBand Connection Management library
Owners: dledford
Branches: F-8 F-9
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-06-24 20:16:40 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.